de.esprit.appsuite.launch

## Class ApplicationConfig

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.launch.ApplicationConfig

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    AppStarterConfig, ClientConfig, DatabaseConfig, ServerConfig

      public class ApplicationConfig
      extends TransferableObject

  This class encapsulates the startup parameters for launching an application
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationConfig()`
    `ApplicationConfig(ApplicationCommandLineParser clp)`
    `ApplicationConfig(java.lang.String applicationName)` This constructor should only be used if a command line is not available.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getApplicationName()` Returns the application-name configured for this client.
    `Version` | `getCustomVersion()`
    `Version` | `getEspritVersion()`
    `java.io.File` | `getLogDir()` Returns the given logDir, null if not specified.
    `LogLevel` | `getStartLogLevel()` Returns the logLevel given in the command-line or null if none was specified.
    `LogLevel` | `getStartLogLevel(LogLevel defaultLogLevel)` Returns the logLevel given in the command-line or defaultLogLevel if none was specified.
    `boolean` | `isDemoMode()`
    `boolean` | `isLogToFile()`
    `boolean` | `isNoConsoleLog()`
    `boolean` | `isPrintVersionOnly()`
    `boolean` | `isTestMode()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationConfig

          public ApplicationConfig()

    - #### ApplicationConfig

          public ApplicationConfig(java.lang.String applicationName)

      This constructor should only be used if a command line is not available.

    - #### ApplicationConfig

          public ApplicationConfig(ApplicationCommandLineParser clp)

  - ### Method Detail

    - #### getCustomVersion

          public Version getCustomVersion()

    - #### getEspritVersion

          public Version getEspritVersion()

    - #### isNoConsoleLog

          public boolean isNoConsoleLog()

    - #### isTestMode

          public boolean isTestMode()

    - #### isDemoMode

          public boolean isDemoMode()

    - #### isPrintVersionOnly

          public boolean isPrintVersionOnly()

    - #### isLogToFile

          public boolean isLogToFile()

    - #### getLogDir

          public java.io.File getLogDir()

      Returns the given logDir, null if not specified.

    - #### getStartLogLevel

          public LogLevel getStartLogLevel()

      Returns the logLevel given in the command-line or null if none was specified.

    - #### getStartLogLevel

          public LogLevel getStartLogLevel(LogLevel defaultLogLevel)

      Returns the logLevel given in the command-line or defaultLogLevel if none was specified.

    - #### getApplicationName

          public java.lang.String getApplicationName()

      Returns the application-name configured for this client. See -application startup option.

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.